## ros-indigo-roch-description 1.0.17

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.3)
project(roch_description)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()
catkin_add_env_hooks(50.roch_description
  SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

roslaunch_add_file_check(launch)

install(
  DIRECTORY launch meshes urdf robots
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-roch-description (1.0.17-0trusty) trusty; urgency=high

  * Remap email and website.
  * Contributors: doudou0114

 -- Carl <carlzhang@soyrobotics.com>  Tue, 27 Mar 2018 16:00:00 -0000

ros-indigo-roch-description (1.0.16-0trusty) trusty; urgency=high

  * Support sick lms100.

 -- Carl <wzhang@softrobtech.com>  Wed, 15 Nov 2017 16:00:00 -0000

ros-indigo-roch-description (1.0.15-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-indigo-roch-description (1.0.14-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 07 May 2017 16:00:00 -0000

ros-indigo-roch-description (1.0.13-0trusty) trusty; urgency=high

  * Modified link transform of rplidar.

 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-indigo-roch-description (1.0.12-0trusty) trusty; urgency=high

  * Add Orbbec Astra model.
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Wed, 15 Feb 2017 16:00:00 -0000

ros-indigo-roch-description (1.0.11-0trusty) trusty; urgency=high

  * Add mesh of rplidar.

 -- Carl <wzhang@softrobtech.com>  Mon, 06 Feb 2017 16:00:00 -0000

ros-indigo-roch-description (1.0.10-0trusty) trusty; urgency=high

  * Add Gazebo plugin of ros control for Roch model.
  * Modify Gazebo plugin of laser and put into roch_gazebo.urdf.xacro.
  * Adjust context in ```*```.urdf.xacro.
  * Fiex bug that model in Gazebo will shack.

 -- Carl <carl@softrobtech.com>  Sun, 22 Jan 2017 16:00:00 -0000

ros-indigo-roch-description (1.0.9-0trusty) trusty; urgency=high



 -- Carl <carl@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-indigo-roch-description (1.0.8-0trusty) trusty; urgency=high



 -- Carl <carl@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-indigo-roch-description (1.0.7-0trusty) trusty; urgency=high



 -- Carl <carl@softrobtech.com>  Fri, 20 Jan 2017 16:00:00 -0000

ros-indigo-roch-description (1.0.6-0trusty) trusty; urgency=high



 -- Carl <carl@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-indigo-roch-description (0.1.2-0trusty) trusty; urgency=high

  * add Rplidar A1 model
  * Contributors: Carl

 -- Carl <carl@softrobtech.com>  Tue, 13 Dec 2016 16:00:00 -0000

ros-indigo-roch-description (0.1.1-0trusty) trusty; urgency=high

  * add Intel r200 model
  * Contributors: Carl

 -- Carl <carl@softrobtech.com>  Thu, 01 Dec 2016 16:00:00 -0000

ros-indigo-roch-description (0.1.0-0trusty) trusty; urgency=high

  * Catkinized
  * Contributors: Carl

 -- Carl <carl@softrobtech.com>  Sat, 29 Oct 2016 16:00:00 -0000

=== debian/control ===
Source: ros-indigo-roch-description
Section: misc
Priority: extra
Maintainer: Carl <carlzhang@soyrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/roch_descrption
Standards-Version: 3.9.2

Package: ros-indigo-roch-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-robot-state-publisher, ros-indigo-urdf, ros-indigo-xacro
Description: Soy Roch URDF description

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-roch-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
